set-rel.cpp File Reference
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

SetRel | Gecode::operator== (const SetExpr &, const SetExpr &)
| Equality of set expressions.
SetRel | Gecode::operator!= (const SetExpr &, const SetExpr &)
| Disequality of set expressions.
SetCmpRel | Gecode::operator<= (const SetExpr &, const SetExpr &)
| Subset of set expressions.
BoolExpr | Gecode::operator<= (const SetCmpRel &, const SetExpr &)
| Subset of set expressions.
SetCmpRel | Gecode::operator>= (const SetExpr &, const SetExpr &)
| Superset of set expressions.
BoolExpr | Gecode::operator>= (const SetCmpRel &, const SetExpr &)
| Superset of set expressions.
SetRel | Gecode::operator|| (const SetExpr &, const SetExpr &)
| Disjointness of set expressions.
BoolExpr | Gecode::operator== (const SetExpr &s, const LinIntExpr &x)
| Return expression for .
BoolExpr | Gecode::operator== (const LinIntExpr &x, const SetExpr &s)
| Return expression for .
BoolExpr | Gecode::operator!= (const SetExpr &s, const LinIntExpr &x)
| Return expression for .
BoolExpr | Gecode::operator!= (const LinIntExpr &x, const SetExpr &s)
| Return expression for .
BoolExpr | Gecode::operator<= (const SetExpr &s, const LinIntExpr &x)
| Return expression for .
BoolExpr | Gecode::operator<= (const LinIntExpr &x, const SetExpr &s)
| Return expression for .
BoolExpr | Gecode::operator< (const SetExpr &s, const LinIntExpr &x)
| Return expression for .
BoolExpr | Gecode::operator< (const LinIntExpr &x, const SetExpr &s)
| Return expression for .
BoolExpr | Gecode::operator>= (const SetExpr &s, const LinIntExpr &x)
| Return expression for .
BoolExpr | Gecode::operator>= (const LinIntExpr &x, const SetExpr &s)
| Return expression for .
BoolExpr | Gecode::operator> (const SetExpr &s, const LinIntExpr &x)
| Return expression for .
BoolExpr | Gecode::operator> (const LinIntExpr &x, const SetExpr &s)
| Return expression for .